### Constructor

# Gtk ATContext create

#### Declaration [src]

    GtkATContext*
    gtk_at_context_create (
      GtkAccessibleRole accessible_role,
      GtkAccessible* accessible,
      GdkDisplay* display
    )

#### Description [src]

Creates a new `GtkATContext` instance for the given accessible role, accessible instance, and display connection.

The `GtkATContext` implementation being instantiated will depend on the platform.

#### Parameters

`accessible_role` | `GtkAccessibleRole`
| The accessible role used by the `GtkATContext`.
`accessible` | `GtkAccessible`
| The `GtkAccessible` implementation using the `GtkATContext`.
| The data is owned by the caller of the function.
`display` | `GdkDisplay*`
| The `GdkDisplay` used by the `GtkATContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkATContext`
| The `GtkATContext`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.